Bug 1312036 - tests: upstream test infra brocken
Summary: tests: upstream test infra brocken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: tests
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Rafi KC
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-25 15:13 UTC by Mohammed Rafi KC
Modified: 2016-06-16 13:58 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-16 13:58:25 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Mohammed Rafi KC 2016-02-25 15:13:51 UTC
Description of problem:

Test tests/bugs/glusterd/bug-1303028-Rebalance-glusterd-rpc-connection-issue.t is failing on upstream regression suite.
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Vijay Bellur 2016-02-25 15:14:25 UTC
REVIEW: http://review.gluster.org/13524 (tests/glusterd: Parse the new time format) posted (#1) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 2 Vijay Bellur 2016-02-25 15:43:58 UTC
REVIEW: http://review.gluster.org/13524 (tests/glusterd: Parse the new time format) posted (#2) for review on master by mohammed rafi  kc (rkavunga@redhat.com)

Comment 3 Vijay Bellur 2016-02-26 01:44:02 UTC
COMMIT: http://review.gluster.org/13524 committed in master by Raghavendra Talur (rtalur@redhat.com) 
------
commit 5a9233ee37a10456a9f8f3c792cab37462f64098
Author: Mohammed Rafi KC <rkavunga@redhat.com>
Date:   Thu Feb 25 20:36:11 2016 +0530

    tests/glusterd: Parse the new time format
    
    A recent change in cli changed elapsed time format
    that broke a test.
    
    This patch will fix the issue with parsing.
    
    Change-Id: I9a4a4b28f654cf2ac223e25abfc9df6570607d74
    BUG: 1312036
    Signed-off-by: Mohammed Rafi KC <rkavunga@redhat.com>
    Reviewed-on: http://review.gluster.org/13524
    Reviewed-by: Kaleb KEITHLEY <kkeithle@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Raghavendra Talur <rtalur@redhat.com>

Comment 4 Niels de Vos 2016-06-16 13:58:25 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.